curl --request POST \
--url https://api.tensormesh.ai/v1/admin/billing/spending/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"targetUserIds": [
"<string>"
]
}
'{
"summaries": [
{
"userId": "<string>",
"spend24h": {
"currencyCode": "<string>",
"units": "<string>",
"nanos": 123
},
"spend7d": {
"currencyCode": "<string>",
"units": "<string>",
"nanos": 123
},
"spend30d": {
"currencyCode": "<string>",
"units": "<string>",
"nanos": 123
}
}
]
}Returns rolling-window spending totals.
curl --request POST \
--url https://api.tensormesh.ai/v1/admin/billing/spending/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"targetUserIds": [
"<string>"
]
}
'{
"summaries": [
{
"userId": "<string>",
"spend24h": {
"currencyCode": "<string>",
"units": "<string>",
"nanos": 123
},
"spend7d": {
"currencyCode": "<string>",
"units": "<string>",
"nanos": 123
},
"spend30d": {
"currencyCode": "<string>",
"units": "<string>",
"nanos": 123
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
A successful response.
GetUsersSpendingSummaryResponse is the response for spending totals.
Spending totals per user.
Show child attributes
Was this page helpful?